@font-face {
    font-family: myFont;
    src: url('../../fonts/Montserrat-Regular.ttf');
}

@font-face {
    font-family: myFont01;
    letter-spacing: 2px;
    src: url('../../fonts/Geologica.ttf');
}

html,
.uk-h1,
.uk-h2,
.uk-h3,
.uk-h4,
.uk-h5,
.uk-h6,
.uk-heading-2xlarge,
.uk-heading-large,
.uk-heading-medium,
.uk-heading-small,
.uk-heading-xlarge,
.uk-button,
.uk-navbar-nav>li>a,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
li,
a,
span {
    font-family: myFont !important;
}

body {
    margin: 0 auto;
    min-width: 1400px;

}

html {
    scroll-behavior: smooth;
}

.uk-font-01 {
    font-family: myFont01 !important;
}

.my-radius {
    border-radius: 15px;
}

.my-radius2 {
    border-radius: 50px;
}

.my-radius3 {
    border-radius: 30px;
}

.z_download{
    position: relative;
    width: 420px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2.2rem;
    color: #FFF;
    font-weight: bold;
    margin: 0 auto;
    border-radius: 30px;
    border:solid 5px #d5fb49;
    background-color: #5dd300;
    text-decoration: none;
    text-shadow: 2px 2px 1px #222;
    transition: all 0.3s ease;
}
.z_download:hover{ color:#FFF; text-decoration:none; background:#cbf448;border:solid 5px #5dd300;}
.uk-text-white {
    color: #FFF;
}
.x-navbar-nav{ 
    list-style-type:none; 
    display:flex; 
    justify-content:center; 
    gap:20px 
}
.x-navbar-nav li a{
    position: relative;  
    display:flex; 
    justify-content: center;
    align-items: center;
    color: #FFF;
    text-decoration: none;
    padding:33px 50px 40px 50px;
    border-radius: 20px;
    text-shadow: 0 2px #777;
    transition: all 0.2s ease;
    
}
.x-navbar-nav li a:hover{ padding:40px 50px 33px 50px; }
.x-navbar-nav li a::before{
    content: "";
    position: absolute;
    top:0;
    width: 95%;
    height: 85%;
    background: #00d951;
    border-radius: 20px;
    box-shadow: 0 7px 0 #00b02e;
    z-index: -1;
    transition: all 0.2s ease;
}
.x-navbar-nav li a::after{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: #aeeea3;
    border-radius: 25px;
    z-index: -2;
    top: 0;
}
.x-navbar-nav li a:hover::before{
    top:7px;
    box-shadow: none;
    box-shadow: 0 0 1px 2px inset #00b830;
}

.gm-bg {
    background: url(../../img/url_bg.png) center 0 no-repeat;
}
.gm-bg-body{ background:#370776; }
.x-background-img {
    background: #f5d4aa;
    box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.3);
}

.slide_border {
    width: 400px;
    height: 400px;
    border: solid 5px #FFF;
    border-radius: 50%;
    transition: all 0.3s ease-in-out;
}

.slide_border:hover {
    box-shadow:
        0 0 20px rgba(230, 251, 255, 0.8),
        inset 0 0 50px rgba(0, 0, 0, 0.3);
}


.x-padding-large {
    padding: 120px;
}

.img-border{ border:solid 5px #dece18; border-radius:20px; }
.x-modal-bg{
    background: rgba(55,7,118,.8); 
    border-radius: 30px;
}


/* 自定义滚动条样式 */

.uk-modal-body::-webkit-scrollbar {
    width: 10px;
}

.uk-modal-body::-webkit-scrollbar-track {
    background: #6A1B9A;
    border-radius: 10px;
}

.uk-modal-body::-webkit-scrollbar-thumb {
    background: #8E24AA;
    border-radius: 10px;
    /* border: solid 1px #8a642b; */
}

.uk-modal-body::-webkit-scrollbar-thumb:hover {
    background: #561e9f;
}


.g-scrollbar::-webkit-scrollbar {
    width: 8px;
}

.g-scrollbar::-webkit-scrollbar-track {
    background: #373400;
    border-radius: 10px;
}

.g-scrollbar::-webkit-scrollbar-thumb {
    background: #fba46a;
    border-radius: 10px;
    border: solid 1px #d38959;
}

.g-scrollbar::-webkit-scrollbar-thumb:hover {
    background: #c681ff;
}

.x-large-bottom{ padding-bottom:80px; }
.footer-bg {
    background: #605c43;
    height: auto;
    padding: 30px 160px;
}